Next: wcscspn, Previous: wcscpy, Up: Wchar strings

### 6.11 `wcpcpy`—copy a wide-character string returning a pointer to its end

Synopsis

         #include <wchar.h>
         wchar_t *wcpcpy(wchar_t *s1, const wchar_t *,s2);

Description
The `wcpcpy` function copies the wide-character string pointed to by s2 (including the terminating null wide-character code) into the array pointed to by s1. If copying takes place between objects that overlap, the behaviour is undefined.

Returns
This function returns a pointer to the end of the destination string, thus pointing to the trailing '\0'.

Portability
`wcpcpy` is a GNU extension.

No supporting OS subroutines are required.